
%global qt_module qtconfiguration

Summary:        Qt5 - QtConfiguration module
Name:           qt5-%{qt_module}
Version:        0.1.0
Release:        3%{?dist}

# See LGPL_EXCEPTIONS.txt, LICENSE.GPL3, respectively, for exception details
License:        LGPLv2 with exceptions or GPLv3 with exceptions
URL:            https://github.com/hawaii-desktop/qtconfiguration
# git clone --no-checkout https://github.com/hawaii-desktop/qtconfiguration.git
# cd qtconfiguration/
# git archive v0.1.0 --prefix=qtconfiguration-0.1.0/ |gzip >qtconfiguration-0.1.0.tar.gz
Source0:        %{qt_module}-%{version}.tar.gz
BuildRequires:  qt5-qtbase-devel
BuildRequires:  pkgconfig(dconf)

%{?_qt5_version:Requires: qt5-qtbase%{?_isa} >= %{_qt5_version}}

%description
Settings API with change notifications.


%package devel
Summary:        Development files for %{name}
Requires:       %{name}%{?_isa} = %{version}-%{release}
Requires:       qt5-qtbase-devel%{?_isa}

%description devel
%{summary}.


%prep
%setup -q -n %{qt_module}-%{version}


%build
%{_qt5_qmake}
(syncqt.pl -check-includes -module QtConfiguration -version %{version} -outdir %{_builddir}/%{?buildsubdir})
make %{?_smp_mflags} LINK='g++ -Wl,--as-needed'


%install
make install INSTALL_ROOT=$RPM_BUILD_ROOT


%post -p /sbin/ldconfig


%postun -p /sbin/ldconfig


%files
%{_qt5_libdir}/libQt0Configuration.so.0*
%doc LICENSE.FDL
%doc LICENSE.GPL
%doc LICENSE.LGPL
%doc README.md


%files devel
%{_qt5_headerdir}/Qt*/
%{_qt5_libdir}/libQt0*.so
%{_qt5_libdir}/libQt0*.prl
%{_qt5_libdir}/cmake/Qt5*/
%{_qt5_libdir}/pkgconfig/Qt0*.pc
%{_qt5_archdatadir}/mkspecs/modules/*.pri
%exclude %{_qt5_libdir}/libQt0Configuration.la


%changelog
* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-3
- Get rid of extra library links (Christopher Meng, #1011501)
- Drop irrelevant license file (Christopher Meng, #1011501)

* Tue Sep 24 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-2
- Incorporate some review fixes (Christopher Meng, #1011501)

* Thu Sep 12 2013 Lubomir Rintel <lkundrak@v3.sk> - 0.1.0-1
- Initial packaging
